Bug 126150 - TVTime crashes after kernelupdate
TVTime crashes after kernelupdate
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: tvtime (Show other bugs)
2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-16 15:01 EDT by Need Real Name
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-17 16:25:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2004-06-16 15:01:28 EDT
Description of problem:
After a kernelupdate to kernel-2.6.6-1.435 tvtime crashes always with
the following output:

Running tvtime 0.9.12.
Reading configuration from /etc/tvtime/tvtime.xml
Reading configuration from /home/user/.tvtime/tvtime.xml
videoinput: Can't read frame. Error was: Input/output error (0).
videoinput: Can't read frame. Error was: Input/output error (0).
videoinput: Can't read frame. Error was: Input/output error (0).
Segmentation fault


it works with kernel-2.6.6-1.435.

Version-Release number of selected component (if applicable):
tvtime-0.9.12-5 kernel-2.6.6-1.435
Comment 1 Need Real Name 2004-06-16 15:05:49 EDT
> it works with kernel-2.6.6-1.435.

should be kernel-2.6.5-1.358
Comment 2 Billy Biggs 2004-06-22 08:49:10 EDT
Why was this closed and not forwarded upstream to me?

There is a known segfault in tvtime 0.9.12 that occurs if the first
few frames of video are all errors.  This can happen when some drivers
are in a bad state.  A workaround is sometimes to start tvtime on a
different input number.  I will try to post a 0.9.13 release that
fixes this problem, but even if I did you probably won't see anything
except a lot of errors from tvtime.

You should look at the output of dmesg and see if something is wrong
with the setup of your capture card driver.
Comment 3 David Juran 2004-08-10 17:55:48 EDT
I've opened up bug 129399 for the underlaying kernel bug.

Note You need to log in before you can comment on or make changes to this bug.